MKPLAYLIST(1)

NAME
mkplaylist - create a playlist from directories

SYNOPSIS
mkplaylist [-chqrv] [-f playlist_format] [-o playlist_file]

DESCRIPTION
mkplaylist is a small python script that creates m3u, extended m3u or PLS playlists from ac3, flac, it, mod, mp3, ogg, s3m and wav files.

OPTIONS
Here are the command line options.

-c  use a cache file. Default is not to use one.

-h  help message

-q  be really quiet

-r  write relative paths. Default is absolute paths.

-v  be verbose

--shuffle
    shuffle the playlist before saving it

-o  output playlist filename

EXAMPLES

    Create the playlist  playlist.m3u from the audio files in
    /data/music directory.
    	mkplaylist --cache -o playlist.m3u /data/music
    Create a playlist in m3u format with relative paths from
    two directories /data/music/Various and  /data/music/Soundtracks.
    	mkplaylist -r -f m3u --shuffle /data/music/Various                                        /data/music/Soundtracks